# $Revision: 1.20 $, $Date: 2004/08/19 18:30:23 $
Summary:	Dockable Interrupts Monitor for WindowMaker
Summary(pl):	Monitor przerwa dla Doku WindowMakera
Name:		wmint
Version:	0.9
Release:	6
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://team.gcu-squad.org/~slix/wmint/%{name}-%{version}.tar.gz
# Source0-md5:	fa897484a9e68168526f681939154f85
Source1:	%{name}.desktop
Patch0:		%{name}-makefile.patch
URL:		http://team.gcu-squad.org/~slix/wmint/
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
wmint is a simple dockable Interrupts Monitor for Window Maker.

%description -l pl
wmint jest prostym, dokowalnym monitorem przerwa dla WindowMakera.

%prep
%setup -q
%patch0 -p1

%build
cd wmint

%{__make} clean
%{__make} %{name} \
	FLAGS="%{rpmcflags} -I%{_includedir}" \
	LIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}/docklets}

install %{name}/%{name} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS HINTS README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/docklets/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmint.spec,v $
Revision 1.20  2004/08/19 18:30:23  yogib
- fix building on amd64

Revision 1.19  2004/07/19 19:20:40  yogib
- fixed URLs, switched to vfolders, cosmetics

Revision 1.18  2003/09/19 16:44:24  baggins
- uncommented applink

Revision 1.17  2003/05/28 13:02:53  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:27:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/02/28 10:09:01  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.14  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.13  2002/06/30 21:37:19  marcus
- fixed building on PPC
- use new %%doc
- rel.4.

Revision 1.12  2002/02/23 05:05:00  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:59  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:15:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/11/26 16:23:39  blues
- release 3
- desktop is out

Revision 1.8  2001/11/21 10:30:25  blues
- URLs updated
- cosmetics in files

Revision 1.7  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.5  2000/07/17 00:54:05  kloczek
- release 2.

Revision 1.4  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.1  2000/02/10 00:30:54  pius
- initial release

